dpkg-fsys-usrunmess(8)

NOME
dpkg-fsys-usrunmess - desfaz a confusão merged-/usr-via-aliased-dirs

SINOPSE
dpkg-fsys-usrunmess [option...]

DESCRIÇÃO
dpkg-fsys-usrunmess é uma ferramenta para corrigir sistemas de ficheiros que foram instalados de novo com instaladores recentes de predefinições infelizes ou migrados para um /usr danificado via directórios de disposição de nomes alternativos, o qual não é suportado pelo dpkg. Veja a FAQ do dpkg.

Este programa irá executar as seguintes acções gerais:

•   Verifica se o sistema precisa de ser comutado, caso contrário não faz nada.

•   Verifica a consistência da base de dados do dpkg e caso contrário aborta.

•   Obtém a lista de ficheiros e alternativas que precisam ser restaurados.

•   Cria uma hierarquia sombra sob /.usrunmess, ao criar os links simbólicos de directórios ou por ligações rijas ou copiando os ficheiros como necessário.

•   Pede confirmação antes de proceder, se requerido na linha de comandos.

•   Tranca a base de dados do dpkg.

•   Marca todos os pacotes como meio instalados para forçar o correr dos scripts de maintainer que podem precisar de recriar ficheiros.

•   Substitui os directórios de nomes alternativos pelos sombra, ao criar uma cópia de salvaguarda dos antigos directórios de links simbólicos e renomeando os sombra sobre os outros.

•   Re-etiqueta a informação MAC para directórios e links simbólicos se necessário.

•   Remove links simbólicos de salvaguarda.

•   Remove os objectos movidos antigos, mas adia a remoção de directórios.

•   Remove directórios adiados antigos que não estão referidos pelo dpkg-query.

•   Remove o directório raiz sombra.

•   Register a policy-rc.d to disallow service actions, which means that services might need to be restarted afterwards, ideally via a reboot.

•   Reconfigura todos os pacotes.

•   Unregister the policy-rc.d and restore the alternatives state.

Nota: Quando se corre o programa a partir de alguma shells tais como bash(1) ou zsh(1), após o executar, você pode precisar de requisitar à shell para esquecer todas as localizações de executáveis lembradas com por exemplo "hash -r".

Note: Some directories might linger after the migration in case they contain untracked files. A list is printed once the script has finished for further investigation.

Aviso: Note que esta operação tem o potencial de tornar o sistema não utilizável ou quebrado em caso de uma pagarem súbita ou reinicio do sistema. estado inesperado do sistema, ou possíveis bugs no script. Esteja preparado com meio de recuperação e considere fazer cópias de salvaguarda antes.

OPÇÕES

-p, --prompt
    Pergunta no ponto de não retorno, para que os resultados de depuração da hierarquia sombra possam ser avaliados antes de proceder.

-n, --no-act
--dry-run
    Esta opção activa o modo dry-run, onde não há acções destrutivas, apenas a parte de preparação.

-?, --help
    Mostra a mensagem de utilização e termina.

--version
    Mostra a versão e termina.

AMBIENTE

DPKG_USRUNMESS_NOACT
    Esta definição define se se deve activar o modo dry-run.

VEJA TAMBÉM
<https://wiki.debian.org/Teams/Dpkg/FAQ#Q:_Does_dpkg_support_merged-.2Fusr-via-aliased-dirs.3F>.

TRADUÇÃO
Américo Monteiro

Se encontrar algum erro na tradução deste documento, por favor comunique para Américo Monteiro <a_monteiro@gmx.com>.